<?php
session_start();
include('includes/config.php');

if (isset($_GET['token']))
{
        $token = $_GET['token'];
        $email = $_GET['email'];
         
        // Get Reset Token
        $sql = "SELECT * FROM password_reset WHERE token=(:token) AND email=(:email) AND active= 1;";
		$query = $dbh -> prepare($sql);
		$query-> bindParam(':token', $token, PDO::PARAM_STR);
		$query-> bindParam(':email', $email, PDO::PARAM_STR);
		$query->execute();
		$result= $query->fetch(PDO::FETCH_OBJ);
		
		if ($query->rowCount() > 0)
		{
		    $status = "Good";
		}else{
		    $status = "None";
		}
}
else {
    $status = "None";
}

if(isset($_POST['submit']))
	{
	    $password = $_POST['password'];
	    $confrim_password = $_POST['confrim-password'];
	    $email = $_GET['email'];
	    
	    if ($password === $confrim_password)
	    {
	        $newpassword =md5($password);
	        
	        $con ="UPDATE users SET password=:newpassword WHERE email=:email";
            $chngpwd1 = $dbh->prepare($con);
            $chngpwd1-> bindParam(':newpassword', $newpassword, PDO::PARAM_STR);
            $chngpwd1-> bindParam(':email', $email, PDO::PARAM_STR);
            $chngpwd1->execute();
            $msg="Your Password succesfully changed";
            
            // Set Reset Password Token not active
            $sql2 = "UPDATE password_reset SET active=0 WHERE email=(:email);";
		    $query2 = $dbh -> prepare($sql2);
		    $query2-> bindParam(':email', $email, PDO::PARAM_STR);
		    $query2->execute();
		    $result= $query2->fetch(PDO::FETCH_OBJ);
	    }
	    else {
	        $error = "Your confirm password is not match !";
	    }
	    
    }


$error = "";
$msg = "";

// Get Admin Data
    $sql = "SELECT * from admin;";
	$query = $dbh -> prepare($sql);
	$query->execute();
	$result=$query->fetch(PDO::FETCH_OBJ);
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title><?php echo htmlentities($result->websiteName);?> - Reset Your Password</title>
  <meta content="<?php echo htmlentities($result->websiteName);?> App" name="descriptison">
  <meta content="<?php echo htmlentities($result->websiteName);?> App" name="keywords">

  <!-- Favicons -->
  <link href="assets/img/favicon.ico" rel="icon">

  <!-- Google Fonts -->
  <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Raleway:300,300i,400,400i,500,500i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">

  <!-- Vendor CSS Files -->
  <link href="assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <link href="assets/vendor/icofont/icofont.min.css" rel="stylesheet">
  <link href="assets/vendor/boxicons/css/boxicons.min.css" rel="stylesheet">
  <link href="assets/vendor/owl.carousel/assets/owl.carousel.min.css" rel="stylesheet">
  <link href="assets/vendor/venobox/venobox.css" rel="stylesheet">
  <link href="assets/vendor/aos/aos.css" rel="stylesheet">

  <!-- Template Main CSS File -->
  <link href="assets/css/style.css" rel="stylesheet">

</head>

<body>

  <!-- ======= Header ======= -->
  <header id="header" class="fixed-top ">
    <div class="container d-flex align-items-center">

      <div class="logo mr-auto">
        <h1 class="text-light"><a href="index.php"><?php echo htmlentities($result->websiteName);?></a></h1>
        <!-- Uncomment below if you prefer to use an image logo -->
        <!-- <a href="index.html"><img src="assets/img/logo.png" alt="" class="img-fluid"></a>-->
      </div>

      <nav class="nav-menu d-none d-lg-block">
        <ul>
          <li class="active"><a href="index.php">Home</a></li>
          <li><a href="#features">App Features</a></li>
          <li><a href="#faq">F.A.Q</a></li>
          <li><a href="#contact">Contact Us</a></li>

          <li class="get-started"><a href="<?php echo htmlentities($result->app_url);?>">Download App</a></li>
        </ul>
      </nav><!-- .nav-menu -->

    </div>
  </header><!-- End Header -->

  <main id="main">

    <!-- ======= Breadcrumbs Section ======= -->
    <section class="breadcrumbs">
      <div class="container">

        <div class="d-flex justify-content-between align-items-center">
          <h2>Reset Your Password</h2>
          <ol>
            <li><a href="index.html">Home</a></li>
            <li>Reset Your Password</li>
          </ol>
        </div>

      </div>
    </section><!-- End Breadcrumbs Section -->

    <section class="inner-page">
      <div class="container">
          
          
<?php if($error){?><div class="errorWrap"><strong>ERROR</strong>:<?php echo htmlentities($error); ?> </div><?php } 
				else if($msg){?><div class="succWrap"><strong>SUCCESS</strong>:<?php echo htmlentities($msg); ?> </div><?php }?>
				
          <?php
          
          if ($status == "Good")
          {
          ?>
          <form method="post">
              
              <label for="password" name="new-password">New Password</label>
              <br />
              <input class="input" id="password" type="password" name="password" required/>
              <br />
              <br />
              <label for="confrim-password" name="confrim-new-password">Confrim New Password</label>
              <br />
              <input id="confrim-password" type="password" name="confrim-password" required/>
              <br />
              <br />
              <input class="btn-primary p-2 pr-3 pl-3" type="submit" name="submit" value="Reset"/>
              <br />
              
          </form>
          <?php
          }
          else { echo $status; }
          ?>
          
        <div>
      </div>
    </div>
      </div>
    </section>

  </main><!-- End #main -->

  <!-- ======= Footer ======= -->
  <footer id="footer">

    <div class="footer-top">
      <div class="container">
        <div class="row">

          <div class="col-lg-3 col-md-6 footer-contact" data-aos="fade-up">
            <h3>Info</h3>
            <p>
                <?php echo htmlentities($result->websiteName);?>, Inc <br>
              <strong>Email:</strong> <?php echo htmlentities($result->email);?><br>
            </p>
          </div>

          <div class="col-lg-3 col-md-6 footer-links" data-aos="fade-up" data-aos-delay="100">
            <h4>Useful Links</h4>
            <ul>
              <li><i class="bx bx-chevron-right"></i> <a href="index.php">Home</a></li>
              <li><i class="bx bx-chevron-right"></i> <a href="privacy_policy.php">Privacy policy</a></li>
            </ul>
          </div>

          <div class="col-lg-3 col-md-6 footer-links" data-aos="fade-up" data-aos-delay="200">
          </div>

          <div class="col-lg-3 col-md-6 footer-links" data-aos="fade-up" data-aos-delay="300">
            <h4>Our Social Networks</h4>
            <p>Follow us on</p>
            <div class="social-links mt-3">
              <a href="https://web.facebook.com/" class="facebook"><i class="bx bxl-facebook"></i></a>
              <a href="https://www.instagram.com/" class="instagram"><i class="bx bxl-instagram"></i></a>
            </div>
          </div>

        </div>
      </div>
    </div>

    <div class="container py-4">
      <div class="copyright">
        &copy; Copyright <strong><span><?php echo htmlentities($result->websiteName);?> <?php echo date('Y'); ?></span></strong>. All Rights Reserved
      </div>
      <div class="credits">
      </div>
    </div>
  </footer><!-- End Footer -->

  <a href="#" class="back-to-top"><i class="icofont-simple-up"></i></a>

  <!-- Vendor JS Files -->
  <script src="assets/vendor/jquery/jquery.min.js"></script>
  <script src="assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
  <script src="assets/vendor/jquery.easing/jquery.easing.min.js"></script>
  <script src="assets/vendor/php-email-form/validate.js"></script>
  <script src="assets/vendor/owl.carousel/owl.carousel.min.js"></script>
  <script src="assets/vendor/venobox/venobox.min.js"></script>
  <script src="assets/vendor/aos/aos.js"></script>

  <!-- Template Main JS File -->
  <script src="assets/js/main.js"></script>

</body>

</html>